## How to contribute

- Contributions of all sorts are welcome, [issues](https://github.com/atmoschem/eixport/issues/) and [pull requests](https://github.com/atmoschem/eixport/pulls) are the preferred ways of sharing them.
- When contributing pull requests, please follow the [Google's R Style Guide](https://google.github.io/styleguide/Rguide.xml).
- This project is released with a [Contributor Code of Conduct](https://github.com/atmoschem/eixport/blob/master/CODE_OF_CONDUCT.md). By participating in this project you agree to abide by its terms.
- If you are new to GitHub, you might start with a [basic tutorial](https://help.github.com/articles/set-up-git) and  check out a more detailed guide to [pull requests](https://help.github.com/articles/using-pull-requests/).
- Pull requests will be evaluated by the repository guardians on a schedule and if deemed beneficial will be committed to the master.
- All contributors retain the original copyright to their stuff, but by contributing to this project, you grant a world-wide, royalty-free, perpetual, irrevocable, non-exclusive, transferable license to all users **under the terms of the license under which this project is distributed.**

### Bugs?

- Submit an issue on the [Issues page](https://github.com/atmoschem/eixport/issues)

### Code contributions

- Fork this repo to your Github account
- Clone your version on your account down to your machine from your account, e.g,. `git clone https://github.com/atmoschem/eixport.git`
- Make sure to track progress upstream (i.e., on our version of `tidyhydat` at `atmoschem/eixport`) by doing `git remote add upstream https://github.com/atmoschem/eixport.git`. Before making changes make sure to pull changes in from upstream by doing either `git fetch upstream` then merge later or `git pull upstream` to fetch and merge in one step
- Make your changes (bonus points for making changes on a new feature branch)
- Push up to your account
- Submit a pull request to home base (likely master branch, but check to make sure) at `atmoschem/eixport`

### Also, check out our [discussion forum](https://github.com/atmoschem/Conversas)

- Start an issue in english, português or español [here](https://github.com/atmoschem/Conversas/issues).

### Prefer to Email? Email the person listed as maintainer in the `DESCRIPTION` file of this repo.

### Thanks for contributing! c:
